Subject: bug#35047: "Running the Test Suite" root user

From: mikadoZero <[email-masked]>
Date: Sat, 30 Mar 2019 08:47:56 -0400

Looking at "2.3 Running the Test Suite" of the manual it does not
mention that tests should be run as a non root user.

The test `tests/pack` fails when `make check` is run as a root user.  It
does not fail when run as a non root user.  I found this example by
running `make check TESTS="tests/pack.scm"`.  Is this an issue for many
tests?

I can prepare a patch for the relevant part (parts if this also applies
to `make check-system` as well) in "2.3 Running the Test Suite" of the
manual.

Should `make check-system` also be run as a non root user to avoid
failing tests?

Is there a section in the manual that explains why tests should not be
run as a root user which I can just refer to in the patch?  If not could
anyone provide an explanation which I could include in the patch?